Package org.apache.any23.extractor

## Class ExtractorGroup

- java.lang.Object
- - org.apache.any23.extractor.ExtractorGroup

- All Implemented Interfaces:
    `Iterable<ExtractorFactory<?>>`

      public class ExtractorGroup
      extends Object
      implements Iterable<ExtractorFactory<?>>

  It simple models a group of `ExtractorFactory` providing simple accessing methods.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtractorGroup​(Collection<ExtractorFactory<?>> factories)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allExtractorsSupportAllContentTypes()` |
    `ExtractorGroup` | `filterByMIMEType​(MIMEType mimeType)` | Returns a `ExtractorGroup` with a set of `Extractor` able to process the provided mime type.
    `int` | `getNumOfExtractors()` |
    `boolean` | `isEmpty()` |
    `Iterator<ExtractorFactory<?>>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ExtractorGroup

          public ExtractorGroup​(Collection<ExtractorFactory<?>> factories)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### getNumOfExtractors

          public int getNumOfExtractors()

    - #### filterByMIMEType

          public ExtractorGroup filterByMIMEType​(MIMEType mimeType)

      Returns a `ExtractorGroup` with a set of `Extractor` able to process the provided mime type.
      Parameters:
        `mimeType` - to perform the selection.
      Returns:
        an `ExtractorGroup` able to process the provided mime type.

    - #### iterator

          public Iterator<ExtractorFactory<?>> iterator()

      Specified by:
        `iterator` in interface `Iterable<ExtractorFactory<?>>`

    - #### allExtractorsSupportAllContentTypes

          public boolean allExtractorsSupportAllContentTypes()

      Returns:
        `true` if all the `Extractor` contained in the group supports all the content types.